
BasicGame.Preloader = function (game) {

	this.background = null;
	this.preloadBar = null;
	this.ready = false;
};

BasicGame.Preloader.prototype = {

	preload: function () {

		//	These are the assets we loaded in Boot.js
		//	A nice sparkly background and a loading progress bar
		this.background = this.add.sprite(260, 240, 'preloaderBackground');
		this.preloadBar = this.add.sprite(260, 240, 'preloaderBar');

        var logo1 = this.add.button(this.world.centerX + 8, this.world.centerY - 100, 'btnPornGames', this.btnLogoClick, this, 0, 2, 1);
        logo1.anchor.setTo(0.5, 0.5);

		this.load.setPreloadSprite(this.preloadBar);
		
        this.load.spritesheet('btnQuestion', 'assets/images/btn_sprite.png', 520, 24);
        this.load.spritesheet('boxQuestion', 'assets/images/box_question.png', 540, 24);
        this.load.spritesheet('pornGames', 'assets/images/btn_porngames_small.png', 140, 60);
        this.load.spritesheet('btnAffiliate', 'assets/images/btn_affiliate.png', 196, 60);
        this.load.spritesheet('btnMute', 'assets/images/btn_mutme.png', 50, 50);
		
        this.load.video('introVideo', 'assets/video/introPornGames.mp4');
		this.load.video('myVideo1', 'assets/video/video1.mp4');
		this.load.video('myVideo2', 'assets/video/video2.mp4');
        this.load.video('myVideo3', 'assets/video/video3.mp4');
        this.load.video('myVideo4', 'assets/video/video4.mp4');
        this.load.video('myVideo5', 'assets/video/video5.mp4');
        this.load.video('myVideo6', 'assets/video/video6.mp4');
        this.load.video('myVideo7', 'assets/video/video7.mp4');
        this.load.video('myVideo8', 'assets/video/video8.mp4');
        
        //zoom Video
        this.load.video('videoZoom', 'assets/video/videoZoom.mp4');
//        this.load.video('myVideo8', 'assets/video/video8.mp4');
//        this.load.video('myVideo9', 'assets/video/video9.mp4');
//        this.load.video('myVideo10', 'assets/video/video10.mp4');
//        this.load.video('myVideo11', 'assets/video/video11.mp4');
//        this.load.video('myVideo12', 'assets/video/video12.mp4');
	},

	create: function () {
		//Once the load has finished we disable the crop because we're going to sit in the update loop for a short while as the music decodes
		//this.preloadBar.cropEnabled = false;
        playButton = this.add.button(this.world.centerX - 70, this.world.centerY + 100, 'btnPlay', this.startGame, this, 0, 2, 1);
	},

    startGame: function (pointer) {
		//And start the actual game
		this.state.start('MainMenu');
	},
    
	update: function () {
        //Normal game loop
	},
    
    btnLogoClick: function (pointer) {
                window.open('http://www.porngames.com/','_blank');
    }

};
